# Class default

Provide an OpenLayers format for encoding and decoding features for use in permalinks.

The code is based on Stéphane Brunner's URLCompressed format.

TODOs:

- The OpenLayers-URLCompressed format has options where the user can define attribute and style transformers. This is currently not supported by this format.
- The OpenLayers-URLCompressed format has a "simplify" option. This format does not have it.
- ol.style.Icon styles are not supported.
- Transformation of coordinates during encoding and decoding is not supported.

### See

https://github.com/sbrunner/OpenLayers-URLCompressed

#### Hierarchy

- TextFeature
  - default

- Defined in src/format/FeatureHash.js:149

#####
Index

### Constructors

constructor

### Methods

decodeCoordinates_

## Constructors

### constructor

- new default(opt_options?: FeatureHashOptions): default

- #### Parameters

  - ##### `Optional` opt_options: FeatureHashOptions

    Options.

  #### Returns default

  Overrides olFormatTextFeature.constructor

  - Defined in src/format/FeatureHash.js:153

## Methods

### decodeCoordinates_

- decodeCoordinates_(text: string, opt_flatCoordinates?: number[]): number[]

- Read a logical sequence of characters and return (or complete then return) an array of numbers. The coordinates are assumed to be in two dimensions and in latitude, longitude order. corresponding to a geometry's coordinates.

  ### Returns

  Flat coordinates.

  #### Parameters

  - ##### text: string

    Text.

  - ##### `Optional` opt_flatCoordinates: number[]

    Flat coordinates array.

  #### Returns number[]

  - Defined in src/format/FeatureHash.js:218

Generated using TypeDoc